Loading...
Searching...
No Matches
MapPair Class Reference

class MapPair More...

`#include <cf_map.h>`

## Public Member Functions

| MapPair (const Variable &v, const CanonicalForm &s)
| MapPair ()
| MapPair (const MapPair &p)
| ~MapPair ()
MapPair & | operator= (const MapPair &p)
| MapPair & MapPair::operator = ( const MapPair & p ).
Variable | var () const
CanonicalForm | subst () const
void | print (OSTREAM &) const
| MapPair (const Variable &v, const CanonicalForm &s)
| MapPair ()
| MapPair (const MapPair &p)
| ~MapPair ()
MapPair & | operator= (const MapPair &p)
Variable | var () const
CanonicalForm | subst () const
void | print (OSTREAM &) const
| MapPair (const Variable &v, const CanonicalForm &s)
| MapPair ()
| MapPair (const MapPair &p)
| ~MapPair ()
MapPair & | operator= (const MapPair &p)
Variable | var () const
CanonicalForm | subst () const
void | print (OSTREAM &) const

## Private Attributes

Variable | V
CanonicalForm | S

## Friends

OSTREAM & | operator<< (OSTREAM &s, const MapPair &p)
| OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).
OSTREAM & | operator<< (OSTREAM &s, const MapPair &p)
| OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).
OSTREAM & | operator<< (OSTREAM &s, const MapPair &p)
| OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).

## Detailed Description

class MapPair

class MapPair - stores one mapping pair (Variable -> CanonicalForm).

This class is only used to store such pairs. It has no methods to transform a CanonicalForm as the class CFMap has.

V, S: the pair (V -> S) inline method

Variable var () const CanonicalForm subst () const

var(), subst() - selectors, return V and P, resp.

Definition at line 49 of file cf_map.h.

## Constructor & Destructor Documentation

## MapPair() [1/9]

MapPair::MapPair | ( | const Variable & | v,
|  | const CanonicalForm & | s )

inline

Definition at line 55 of file cf_map.h.

: V(v), S(s) {}
MapPair::S
CanonicalForm S
Definition cf_map.h:53
MapPair::V
Variable V
Definition cf_map.h:52
s
const CanonicalForm int s
Definition facAbsFact.cc:51
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

## MapPair() [2/9]

MapPair::MapPair | ( |  | ) |

inline

Definition at line 56 of file cf_map.h.

: V(), S(1) {}

## MapPair() [3/9]

MapPair::MapPair | ( | const MapPair & | p | ) |

inline

Definition at line 57 of file cf_map.h.

: V(p.V), S(p.S) {}
p
int p
Definition cfModGcd.cc:4086

## ~MapPair() [1/3]

MapPair::~MapPair | ( |  | ) |

inline

Definition at line 58 of file cf_map.h.

{}

## MapPair() [4/9]

MapPair::MapPair | ( | const Variable & | v,
|  | const CanonicalForm & | s )

inline

Definition at line 973 of file factory.h.

: V(v), S(s) {}

## MapPair() [5/9]

MapPair::MapPair | ( |  | ) |

inline

Definition at line 974 of file factory.h.

: V(), S(1) {}

## MapPair() [6/9]

MapPair::MapPair | ( | const MapPair & | p | ) |

inline

Definition at line 975 of file factory.h.

: V(p.V), S(p.S) {}

## ~MapPair() [2/3]

MapPair::~MapPair | ( |  | ) |

inline

Definition at line 976 of file factory.h.

{}

## MapPair() [7/9]

MapPair::MapPair | ( | const Variable & | v,
|  | const CanonicalForm & | s )

inline

Definition at line 973 of file factory.h.

: V(v), S(s) {}

## MapPair() [8/9]

MapPair::MapPair | ( |  | ) |

inline

Definition at line 974 of file factory.h.

: V(), S(1) {}

## MapPair() [9/9]

MapPair::MapPair | ( | const MapPair & | p | ) |

inline

Definition at line 975 of file factory.h.

: V(p.V), S(p.S) {}

## ~MapPair() [3/3]

MapPair::~MapPair | ( |  | ) |

inline

Definition at line 976 of file factory.h.

{}

## Member Function Documentation

## operator=() [1/3]

MapPair & MapPair::operator= | ( | const MapPair & | p | ) |

MapPair & MapPair::operator = ( const MapPair & p ).

MapPair::operator = - assignment operator.

Definition at line 28 of file cf_map.cc.

{
if ( this != &p ) {
V = p.V;
S = p.S;
}
return *this;
}

## operator=() [2/3]

MapPair & MapPair::operator= | ( | const MapPair & | p | ) |

## operator=() [3/3]

MapPair & MapPair::operator= | ( | const MapPair & | p | ) |

## print() [1/3]

void MapPair::print | ( | OSTREAM & |  | ) | const

Definition at line 50 of file cf_map.cc.

{
}

## print() [2/3]

void MapPair::print | ( | OSTREAM & |  | ) | const

## print() [3/3]

void MapPair::print | ( | OSTREAM & |  | ) | const

## subst() [1/3]

CanonicalForm MapPair::subst | ( |  | ) | const

inline

Definition at line 61 of file cf_map.h.

{ return S; }

## subst() [2/3]

CanonicalForm MapPair::subst | ( |  | ) | const

inline

Definition at line 979 of file factory.h.

{ return S; }

## subst() [3/3]

CanonicalForm MapPair::subst | ( |  | ) | const

inline

Definition at line 979 of file factory.h.

{ return S; }

## var() [1/3]

Variable MapPair::var | ( |  | ) | const

inline

Definition at line 60 of file cf_map.h.

{ return V; }

## var() [2/3]

Variable MapPair::var | ( |  | ) | const

inline

Definition at line 978 of file factory.h.

{ return V; }

## var() [3/3]

Variable MapPair::var | ( |  | ) | const

inline

Definition at line 978 of file factory.h.

{ return V; }

## Friends And Related Symbol Documentation

## operator<< [1/3]

OSTREAM & operator<< | ( | OSTREAM & | s,
|  | const MapPair & | p )

friend

OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).

operator << - print a map pair ("V -> S").

Definition at line 43 of file cf_map.cc.

{
s << p.var() << " -> " << p.subst();
return s;
}

## operator<< [2/3]

OSTREAM & operator<< | ( | OSTREAM & | s,
|  | const MapPair & | p )

friend

OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).

operator << - print a map pair ("V -> S").

Definition at line 43 of file cf_map.cc.

{
s << p.var() << " -> " << p.subst();
return s;
}

## operator<< [3/3]

OSTREAM & operator<< | ( | OSTREAM & | s,
|  | const MapPair & | p )

friend

OSTREAM & operator << ( OSTREAM & s, const MapPair & p ).

operator << - print a map pair ("V -> S").

Definition at line 43 of file cf_map.cc.

{
s << p.var() << " -> " << p.subst();
return s;
}

## Field Documentation

## S

CanonicalForm MapPair::S

private

Definition at line 53 of file cf_map.h.

## V

Variable MapPair::V

private

Definition at line 52 of file cf_map.h.

The documentation for this class was generated from the following files:

- factory/cf_map.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_map.cc